// Typography
// ------------------------------------------------------------------------ //
$base_px_font_size: 16;
$base_font_size: $base_px_font_size * 1px;
$base_line_height: 1.6;
$font_serif: 'Open Sans', -apple-system, system-ui, BlinkMacSystemFont,
	'Segoe UI', 'Roboto', 'Helvetica Neue', Arial, sans-serif;
$base_font_family: $font_serif;
$space: $base_line_height * 1em;

// Colors
// ------------------------------------------------------------------------ //

$palettes: (
	'primaryColor': #ff6600,
	'primary': #0094ed,
	'secondary': #76848c,
	'warning': #ffae00,
	'danger': #f0210b,
	'light-grey': #d3d3d3,
	'white': #fff,
	'black': #000,
	'orange': #ff6600,
	'red': #d60000,
	'green': #30981d,
	'grey': #828282,
	'dark-grey': #656565,
	'yellow': #fcc12d,
	'blue': #4f8ad0,
	'text': #4d4d4d
);

$light-palettes: (
	'light-grey': #bcbcbc,
	'white': #e8e8e8,
	'light-green': #66b947
);

@function palette($color) {
	@if map-has-key($palettes, $color) {
		@return map-get($palettes, $color);
	} @else if map-has-key($light-palettes, $color) {
		@return map-get($light-palettes, $color);
	} @else if map-hash-key($tones, $color) {
		@return map-get($tones, $color);
	} @else if map-has-key($alertPalettes, $color){
		@return map-get($alertPalettes, $color);
	} @else {
		@warn "key `#{$color}` was not found. Falling back to #000";
		@return #000;
	}
}

$white: light-palette('white');
$primary: palette('primary');
$primaryColor: palette('primaryColor');
$text: palette('text');
$green: palette('green');
$orange: palette('orange');
$red: palette('red');
$grey: palette('grey');
$dark-grey: palette('dark-grey');
$yellow: palette('yellow');
$blue: #4f8ad0;
$light-green: palette('light-green');
$black: #000;
$black90: lighten($black, 10%);
$black80: lighten($black, 20%);
$black70: lighten($black, 30%);
$black60: lighten($black, 40%);
$black50: lighten($black, 50%);
$black40: lighten($black, 60%);
$black30: lighten($black, 70%);
$black20: lighten($black, 80%);
$black10: lighten($black, 90%);
$black7: lighten($black, 93%);
$black5: lighten($black, 95%);
$tones: (
	'black': #000,
	'black90': lighten($black, 10%),
	'black80': lighten($black, 20%),
	'black70': lighten($black, 30%),
	'black60': lighten($black, 40%),
	'black50': lighten($black, 50%),
	'black40': lighten($black, 60%),
	'black30': lighten($black, 70%),
	'black20': lighten($black, 80%),
	'black10': lighten($black, 90%),
	'black7': lighten($black, 93%),
	'black5': lighten($black, 95%)
);

$link: $primary;
$link_hover: darken($link, 10%);

$selection_bg: #b3d4fc;
$selection_color: $black;

$shadow: 0 2px 6px rgba($black, 0.4);

// Break Points
// ------------------------------------------------------------------------ //

$small: 'screen and (min-width: 28em)';
$small_portrait: 'screen and (min-width: 28em) and (orientation: portrait)';
$small_landscape: 'screen and (min-width: 28em) and (orientation: landscape)';

$medium: 'screen and (min-width: 48em)';
$medium_portrait: 'screen and (min-width: 48em) and (orientation: portrait)';
$medium_landscape: 'screen and (min-width: 48em) and (orientation: landscape)';

$large: 'screen and (min-width: 64em)';
$extra_large: 'screen and (min-width: 75em)';

$retina: '(-webkit-min-device-pixel-ratio: 1.3), (min-resolution: 1.25dppx), (min-resolution: 120dpi)';

@import '../mixin/mixin';
